import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ColorButtonPanel extends JPanel{

	public ColorButtonPanel(){
		setBackground(Color.BLACK);
		
		JButton button = new JButton("Yellow");
		button.addActionListener(new ColorAction(Color.YELLOW));
		add(button);
		
		
		button = new JButton("Green");
		button.addActionListener(new ColorAction(Color.GREEN));
		add(button);
		
		button = new JButton("Cyan");
		button.addActionListener(new ColorAction(Color.CYAN));
		add(button);
	}
	
	// Private inner class 
	private class ColorAction implements ActionListener{
		private Color backgroundColor;
		
		public ColorAction(Color backgroundColor){
			this.backgroundColor = backgroundColor;
		}
		
		public void actionPerformed(ActionEvent event){
			setBackground(backgroundColor);
			repaint();
		}
	}
	
	
}
