import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ColorButtonPanel3 extends JPanel {

	   public ColorButtonPanel3() {
		  setLayout(new BorderLayout());
		   
	      setBackground(Color.BLACK);
	      JButton button = new JButton("Yellow");
	      add(button, BorderLayout.CENTER);
	      button.addActionListener(new ColorAction(Color.YELLOW));
	      
	      button = new JButton("Blue");
	      add(button,BorderLayout.NORTH);
	      button.addActionListener(new ColorAction(Color.BLUE));

	      button = new JButton("Green");
	      add(button,BorderLayout.WEST);
	      button.addActionListener(new ColorAction(Color.GREEN));

	      button = new JButton("Cyan");
	      add(button,BorderLayout.SOUTH);
	      button.addActionListener(new ColorAction(Color.CYAN));
	   }

	   // This private inner class is not visible outside ColorButtonPanel 

  	   private class ColorAction implements ActionListener {
 
	       private Color backgroundColor;

	       public ColorAction (Color backgroundColor) {
	           this.backgroundColor = backgroundColor;
	       }

	       public void actionPerformed(ActionEvent event) {
	          setBackground(backgroundColor);
	          repaint();
	       }
	   }
	}

